Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.deploy
Class WarWatcher.WarFilter

    java.lang.Object
      org.apache.catalina.ha.deploy.WarWatcher.WarFilter

All Implemented Interfaces:
  FilenameFilter

Enclosing class:
  WarWatcher

    protected static class WarWatcher.WarFilter

extends Object
implements FilenameFilter

File name filter for war files

Constructor Summary
`protected` | `WarWatcher.WarFilter()`

Method Summary
`boolean` | `accept(File path, String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WarWatcher.WarFilter

    protected WarWatcher.WarFilter()

Method Detail

### accept

    public boolean accept(File path,
                          String name)

  Specified by:
    `accept` in interface `FilenameFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.